# Exhibitors Exhibitors ## Creates a new exhibitor record that does not already exist. - [POST /exhibitors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/createexhibitor.md): This method will auto-generate an ID and create a new exhibitor. If an ID is specified for the exhibitor, an error will be thrown. ## Execute Batch Operations - [POST /exhibitors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets the allowed number of contacts for an exhibitor registration - [POST /exhibitors/{tenantId}/contactAllowance](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/getcontactallowanceforexhibitorregistration.md): Applies the contact rule restrictions in exhibitor settings and determines how many contacts of each type an exhibitor is allowed to have ## Gets the allowed number of contacts for an exhibitor - [GET /exhibitors/{tenantId}/contactAllowance/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/getcontactallowance.md): Applies the contact rule restrictions in exhibitor settings and determines how many contacts of each type an exhibitor is allowed to have ## Returns a list of records with the specified event_id - [GET /exhibitors/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/listexhibitorsbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified organization_id - [GET /exhibitors/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/listexhibitorsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a list of records with the specified event_id - [GET /exhibitors/{tenantId}/public/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/listpublicexhibitorsbyeventid.md): Returns a list of records with the specified event_id ## Returns a exhibitor from the system by its ID. - [DELETE /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/deleteexhibitor.md): This method will delete a exhibitor with the specified ID. ## Returns a exhibitor from the system by its ID. - [GET /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/getexhibitor.md): This method will look up a exhibitor by the specified ID and return it back. ## Partially updates a exhibitor with the specified ID. - [PATCH /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/patchexhibitor.md): This method will patch an existing exhibitor with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor with the specified ID. - [PUT /exhibitors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitors/updateexhibitor.md): This method will update an existing exhibitor with the specified ID.